## org.eclipse.datatools.connectivity.oda.design
Enum OdaComplexDataType

    java.lang.Object
      java.lang.Enum<OdaComplexDataType>
          org.eclipse.datatools.connectivity.oda.design.OdaComplexDataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OdaComplexDataType>, org.eclipse.emf.common.util.Enumerator

    public enum OdaComplexDataType

extends java.lang.Enum<OdaComplexDataType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Oda Complex Data Type', and utility methods for working with them. ODA complex data types.

See Also:
  `DesignPackage.getOdaComplexDataType()`

Enum Constant Summary
`STRUCTURE_LITERAL` The 'Structure' literal object.
`TABLE_LITERAL` The 'Table' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `STRUCTURE` The 'Structure' literal value.
`static int` `TABLE` The 'Table' literal value.
`static java.util.List<OdaComplexDataType>` `VALUES` A public read-only list of all the 'Oda Complex Data Type' enumerators.

Method Summary
`static OdaComplexDataType` `get(int value)` Returns the 'Oda Complex Data Type' literal with the specified integer value.
`static OdaComplexDataType` `get(java.lang.String literal)` Returns the 'Oda Complex Data Type' literal with the specified literal value.
`static OdaComplexDataType` `getByName(java.lang.String name)` Returns the 'Oda Complex Data Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static OdaComplexDataType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OdaComplexDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRUCTURE_LITERAL

    public static final OdaComplexDataType STRUCTURE_LITERAL

  The 'Structure' literal object.

  See Also:
    `STRUCTURE`

### TABLE_LITERAL

    public static final OdaComplexDataType TABLE_LITERAL

  The 'Table' literal object.

  See Also:
    `TABLE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### STRUCTURE

    public static final int STRUCTURE

  The 'Structure' literal value.

  See Also:
    `STRUCTURE_LITERAL`, Constant Field Values

### TABLE

    public static final int TABLE

  The 'Table' literal value.

  See Also:
    `TABLE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<OdaComplexDataType> VALUES

  A public read-only list of all the 'Oda Complex Data Type' enumerators.

Method Detail

### values

    public static final OdaComplexDataType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OdaComplexDataType c : OdaComplexDataType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OdaComplexDataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static OdaComplexDataType get(java.lang.String literal)

  Returns the 'Oda Complex Data Type' literal with the specified literal value.

### getByName

    public static OdaComplexDataType getByName(java.lang.String name)

  Returns the 'Oda Complex Data Type' literal with the specified name.

### get

    public static OdaComplexDataType get(int value)

  Returns the 'Oda Complex Data Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<OdaComplexDataType>`